<?php

namespace DigiComp\PhpCodesniffer\DigiComp\Sniffs\ClassNames;

use SlevomatCodingStandard\Sniffs\TestCase;

class MissingInterfaceSuffixSniffTest extends TestCase
{
    public function testErrors(): void
    {
        $report = self::checkFile(__DIR__ . '/data/NoInterfaceSuffix.php');
        self::assertSame(1, $report->getErrorCount());
    }

    public function testNoErrors(): void
    {
        $report = self::checkFile(__DIR__ . '/data/AbstractClass.php');
        self::assertSame(0, $report->getErrorCount());
    }
}
